<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
  <meta charset="UTF-8">
  <title>Просмотр информации о фильме</title>
</head>
<body>
<form layout:fragment="content">
  <div>
    <h3 th:text="'Информация о книге: ' + ${film.getFilmTitle()}"></h3>
    <form class="row g-1">
      <div class="mb-2 row">
        <label for="filmTitle" class="col-sm-2 col-form-label no-border">Название:</label>
        <div class="col-sm-10">
          <p th:text="${film.getFilmTitle()}" type="text" readonly class="form-control-plaintext" id="filmTitle">
        </div>
      </div>
      <div class="mb-2 row">
        <label for="genre" class="col-sm-2 col-form-label">Жанр:</label>
        <div class="col-sm-10">
          <p th:text="${film.getGenre().getGenreTextDisplay()}" class="form-control-plaintext" id="genre">
        </div>
      </div>
      <!--            <div class="mb-2 row">-->
      <!--                <label class="col-sm-2 col-form-label">Онлайн копия:</label>-->
      <!--                <div class="col-sm-10">-->
      <!--                    <a class="text-link text-blue" th:if="${book.getOnlineCopyPath()} != null" th:href="@{|/books/download?bookId=${book.id}|}">-->
      <!--                        <span>Скачать книгу</span>-->
      <!--                    </a>-->
      <!--                </div>-->
      <!--            </div>-->


<!--      <div class="mb-2 row">-->
<!--        <label for="pages" class="col-sm-2 col-form-label">Количество страниц:</label>-->
<!--        <div class="col-sm-10">-->
<!--          <p th:text="${book.getPageCount()}" class="form-control-plaintext" id="pages">-->
<!--        </div>-->
<!--      </div>-->

      <div class="mb-2 row">
        <label for="premierYear" class="col-sm-2 col-form-label">Дата издательства:</label>
        <div class="col-sm-10">
          <p th:text="${film.getPremierYear()}" class="form-control-plaintext" id="premierYear">
        </div>
      </div>
      <div class="mb-2 row">
        <label for="desc_author" class="col-sm-2 col-form-label">Страна:</label>
        <div class="col-sm-10">
          <p th:text="${film.getCountry()}" class="form-control-plaintext" id="desc_author">
        </div>
      </div>
<!--      <div class="mb-2 row">-->
<!--        <label for="desc" class="col-sm-2 col-form-label">Описание:</label>-->
<!--        <div class="col-sm-10">-->
<!--&lt;!&ndash;          <p th:text="${book.getDescription()}" class="form-control-plaintext" id="desc">&ndash;&gt;-->
<!--        </div>-->
<!--      </div>-->
    </form>
    <hr class="hr"/>
    <form class="row g-1">
      <h4 class="mt-3 mb-3" th:text="'Информация об авторе(ах)'"></h4>
      <div th:each="directors : ${film.getDirectors()}">
        <div class="mb-2 row">
          <label for="fio" class="col-sm-2 col-form-label">ФИО:</label>
          <div class="col-sm-10">

            <a class="text-link text-blue" th:href="'/directors/' + ${directors.getId()}" th:text="${directors.directorFio}" id="fio"></a>
          </div>
        </div>
<!--        <div class="mb-2 row">-->
<!--          <label for="date_birth" class="col-sm-2 col-form-label">Дата рождения:</label>-->
<!--          <div class="col-sm-10">-->
<!--            <p th:text="${directors.getBirthDate()}" class="form-control-plaintext" id="date_birth">-->
<!--          </div>-->
<!--        </div>-->

      </div>
    </form>
         <hr class="hr"/>
            <div class="mt-2">
               <a  sec:authorize="!hasRole('ADMIN')" class="btn btn-primary"
                   th:href="'/rent/film/' + ${film.id}">Арендовать фильм</a>
<!--              <span th:if="">-->
<!--                     <a class="text-link text-blue" th:href="" th:text=""></a>-->
<!--                    </span>-->
<!--              <span th:unless="${" th:text=""></span>-->


               <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
            </div>

  </div>
</form>
</body>
</html>
